<?php
/**
 * @file
 * Settings page callback file for the gammu module.
 */

/**
 * Menu callback;
 */
 
function gammu_settings() {
  $form = array();
  // only administrators can access this function
  
  // Generate the form - settings applying to all patterns first
  $form['gammu_settings_db'] = array(
    '#type' => 'fieldset',
    '#weight' => -30,
    '#title' => t('Database settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE    
  );

  $form['gammu_settings_db']['gammu_dbhost'] = array(
  	'#type' => 'textfield',
    '#title' => t('Database Hostname/IP'),
    '#default_value' => variable_get('gammu_dbhost', 'localhost'),
    '#description' => t("Database Hostname or IP, e.g.: localhost, 192.168.0.1, dbase.drupal.org. Leave blank if you use same Hostname for Drupal and Gammu"),
  );
  
  $form['gammu_settings_db']['gammu_dbengine'] = array(
  	'#type' => 'textfield',
    '#title' => t('Database Engine'),
    '#default_value' => variable_get('gammu_dbengine', 'mysql'),
    '#description' => t("Database Engine, e.g.: mysql, mysqli, pgsql"),
  );
  
  $form['gammu_settings_db']['gammu_dbname'] = array(
  	'#type' => 'textfield',
    '#title' => t('Database Name'),
    '#default_value' => variable_get('gammu_dbname', 'smsd'),
    '#description' => t("Database Name, e.g.: smsd, drpl_123, mydata. Leave blank if you use same Database Name for Drupal and Gammu"),
  );
  
  $form['gammu_settings_db']['gammu_dbuser'] = array(
  	'#type' => 'textfield',
    '#title' => t('Database Username'),
    '#default_value' => variable_get('gammu_dbuser', ''),
    '#description' => t("Database Username, e.g.: root, user_123. Leave blank if you use same Username for Drupal and Gammu"),
  );
 
  $form['gammu_settings_db']['gammu_dbpass'] = array(
  	'#type' => 'password',
    '#title' => t('Database Password'),
    '#default_value' => variable_get('gammu_dbpass', ''),
    '#description' => t("Database Password, leave blank if you use same database Password for Drupal and Gammu"),
  );

  $form['gammu_settings_advanced'] = array(
    '#type' => 'fieldset',
    '#weight' => -20,
    '#title' => t('Advanced settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE    
  );
  
  $form['gammu_settings_advanced']['gammu_ussd_balance'] = array(
  	'#type' => 'textfield',
    '#title' => t('Balance code'),
    '#default_value' => variable_get('gammu_ussd_balance', '*888#'),
    '#description' => t("USSD Code to check Balance/Deposit, e.g.: *888#"),
  );
  
  $form['gammu_settings_advanced']['gammu_cli'] = array(
    '#type' => 'checkbox',
    '#title' => t('Use Gammu CLI'),
    '#default_value' => variable_get('gammu_statistic_today', 0),
    '#description' => t("Use Gammu CLI (Command Line Interface) instead SQL Command."),
  );
  
  
  return system_settings_form($form);
}
